summaryrefslogtreecommitdiff
path: root/tests/hello-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/hello-1')
-rwxr-xr-xtests/hello-137
1 files changed, 37 insertions, 0 deletions
diff --git a/tests/hello-1 b/tests/hello-1
new file mode 100755
index 00000000..abb25db9
--- /dev/null
+++ b/tests/hello-1
@@ -0,0 +1,37 @@
+#! /bin/sh
+# Test standard GNU greeting.
+#
+# Copyright (C) 2001, 2006 Free Software Foundation, Inc.
+#
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved.
+# This script takes one argument.
+
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+# We force the C locale here, since we are checking normal output,
+# which will be translated.
+
+LANGUAGE=
+LC_ALL=C
+LC_MESSAGES=
+LANG=
+export LANGUAGE LC_ALL LC_MESSAGES LANG
+
+tmpfiles="hello-test1.ok"
+cat <<EOF > hello-test1.ok
+Hello, world!
+EOF
+
+tmpfiles="$tmpfiles hello-test1.out"
+: ${HELLO=hello}
+${HELLO} | tr -d '\r' >hello-test1.out
+
+: ${DIFF=diff}
+${DIFF} hello-test1.ok hello-test1.out
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result